Name:     mkpatch
Version:  0.2.2
Release:  %mkrel 1

Summary:  MkPatch
URL:      http://www.pclinuxos.com/
Source:   %{name}-%{version}.tar.xz
License:  GPLv3
Group:    File tools
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
Requires: yad 
Requires: diffutils
Obsoletes: %{name} < %{version}

%description
Simple drag and drop file gui for fast, acurate 
patch results when patching files.

%prep
%setup -q

%build

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

#menu
desktop-file-install --vendor="" \
        --add-category="X-MandrivaLinux-System-FileTools;" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/%name.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus


%postun
%clean_menus


%files 
%defattr(-,root,root)
%doc LICENSE ChangeLog AUTHORS
%{_bindir}/%{name}
%{_datadir}/%{name}
%_datadir/applications/%{name}.desktop


%changelog
* Fri Aug 23 2019 Ken <lxgator at gmail.com> 0.2.2-1pclos2019
- Add icons/buttons for yad update fix
 

